Bug 1119332 - nmcli insists connection has changed even if it hasn't
Summary: nmcli insists connection has changed even if it hasn't
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:25 UTC by Dan Mossor [danofsatx]
Modified: 2015-06-29 21:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:55 UTC


Attachments (Terms of Use)

Description Dan Mossor [danofsatx] 2014-07-14 14:25:47 UTC
Description of problem:
When using nmcli, if you issue any command between 'save' and 'quit', even if it is an accidental 'exit' or a final 'print' to verify your settings, nmcli will insist the connection isn't saved and ask you if you really want to quit.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-41.git20131003.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. nmcli con edit em1
2. set ipv6.dhcp-hostname example6
3. save
4. print
5. quit

Actual results:
The connection is not saved. Do you really want to quit? [y/n]

Expected results:
program exit

Additional info:
Would be nice if 'exit' were added as an additional 'quit' command, since it is unintuitive while in the shell interface.

Comment 1 Fedora End Of Life 2015-05-29 12:22:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:34:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.